package org.jbopentools.editor.jbvi;

import javax.swing.text.*;

import com.borland.primetime.editor.*;

public class WrappedKeymapFix extends WrappedKeymap {
  private Keymap keymap;
  private WrappedIdeKeymap wrappedIdeKeymap;
  private WrappedEditorKeymap wrappedEditorKeymap;

  public WrappedKeymapFix(Keymap keymap) {
    super(keymap.getName());
    this.keymap = keymap;
  }

  public Keymap getIdeKeymap() {
    return keymap;
  }

  public Keymap getEditorKeymap() {
    return keymap;
  }

  public WrappedEditorKeymap getWrappedEditorKeymap() {
    if(wrappedEditorKeymap == null) {
      wrappedEditorKeymap = new WrappedEditorKeymap(this);
    }

    return wrappedEditorKeymap;
  }

  public WrappedIdeKeymap getWrappedIdeKeymap() {
    if(wrappedIdeKeymap == null) {
      wrappedIdeKeymap = new WrappedIdeKeymap(this);
    }

    return wrappedIdeKeymap;
  }
}

